# Form implementation generated from reading ui file 'src/eric7/CondaInterface/CondaPackageDetailsWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CondaPackageDetailsWidget(object):
    def setupUi(self, CondaPackageDetailsWidget):
        CondaPackageDetailsWidget.setObjectName("CondaPackageDetailsWidget")
        CondaPackageDetailsWidget.resize(600, 450)
        self.gridLayout = QtWidgets.QGridLayout(CondaPackageDetailsWidget)
        self.gridLayout.setObjectName("gridLayout")
        self.headerLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.headerLabel.setText("")
        self.headerLabel.setObjectName("headerLabel")
        self.gridLayout.addWidget(self.headerLabel, 0, 0, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.filenameLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.filenameLabel.setObjectName("filenameLabel")
        self.gridLayout.addWidget(self.filenameLabel, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.sizeLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.sizeLabel.setObjectName("sizeLabel")
        self.gridLayout.addWidget(self.sizeLabel, 2, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 3, 0, 1, 1)
        self.channelLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.channelLabel.setObjectName("channelLabel")
        self.gridLayout.addWidget(self.channelLabel, 3, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_4.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 4, 0, 1, 1)
        self.urlLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.urlLabel.setWordWrap(True)
        self.urlLabel.setObjectName("urlLabel")
        self.gridLayout.addWidget(self.urlLabel, 4, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 5, 0, 1, 1)
        self.md5Label = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.md5Label.setObjectName("md5Label")
        self.gridLayout.addWidget(self.md5Label, 5, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 6, 0, 1, 1)
        self.timestampLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.timestampLabel.setObjectName("timestampLabel")
        self.gridLayout.addWidget(self.timestampLabel, 6, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 7, 0, 1, 1)
        self.licenseLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.licenseLabel.setObjectName("licenseLabel")
        self.gridLayout.addWidget(self.licenseLabel, 7, 1, 1, 1)
        self.label_9 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 8, 0, 1, 1)
        self.platformLabel = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.platformLabel.setObjectName("platformLabel")
        self.gridLayout.addWidget(self.platformLabel, 8, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(parent=CondaPackageDetailsWidget)
        self.label_10.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 9, 0, 1, 1)
        self.dependenciesEdit = QtWidgets.QPlainTextEdit(parent=CondaPackageDetailsWidget)
        self.dependenciesEdit.setReadOnly(True)
        self.dependenciesEdit.setObjectName("dependenciesEdit")
        self.gridLayout.addWidget(self.dependenciesEdit, 9, 1, 1, 1)

        self.retranslateUi(CondaPackageDetailsWidget)
        QtCore.QMetaObject.connectSlotsByName(CondaPackageDetailsWidget)

    def retranslateUi(self, CondaPackageDetailsWidget):
        _translate = QtCore.QCoreApplication.translate
        self.label_2.setText(_translate("CondaPackageDetailsWidget", "Filename:"))
        self.label_3.setText(_translate("CondaPackageDetailsWidget", "Size:"))
        self.label_5.setText(_translate("CondaPackageDetailsWidget", "Channel:"))
        self.label_4.setText(_translate("CondaPackageDetailsWidget", "URL:"))
        self.label_6.setText(_translate("CondaPackageDetailsWidget", "MD5:"))
        self.label_7.setText(_translate("CondaPackageDetailsWidget", "Timestamp:"))
        self.label_8.setText(_translate("CondaPackageDetailsWidget", "License:"))
        self.label_9.setText(_translate("CondaPackageDetailsWidget", "Platform:"))
        self.label_10.setText(_translate("CondaPackageDetailsWidget", "Dependencies:"))
